Delete Payment Method
Delete a saved payment method from a shopper's Bolt account Wallet.
Authorization
OAuth bolt.account.manageX-API-Key Bolt utilizes the OAuth flow that developers can use to attain access to Bolt Account data via APIs.
For all APIs that require authorization, please provide your access_token returned from /v1/oauth/token via the basic auth bearer header Authorization: bearer ${TOKEN}.
Read more about the OAuth token endpoint.
In: header
Scope: bolt.account.manage
Admins and Developers can obtain their Bolt API key from the Bolt Merchant Dashboard.
In: header
Path Parameters
The ID for a payment method in the shopper's Bolt account Wallet. This ID can be obtained using Get Account Details.
Header Parameters
The publicly viewable identifier used to identify a merchant division. This key is found in the Developer > API section of the Bolt Merchant Dashboard [RECOMMENDED].
Response Body
application/json
application/json
curl -X DELETE "https://example.com/v1/account/payment_methods/string"Add Payment Method POST
Add a payment method to a shopper's Bolt account Wallet. For security purposes, this request must come from your backend because authentication requires the use of your private key. **Note**: Before using this API, the credit card details must be tokenized using Bolt's JavaScript library function, which is documented in [Install the Bolt Tokenizer](https://help.boltapp.com/developers/references/bolt-tokenizer).
Get Callback URLs GET
Retrieves callbacks URLs for a Bolt merchant division.